Package org.opensaml.security.httpclient.impl

# Class ThreadLocalServerTLSHandler

java.lang.Object
org.opensaml.security.httpclient.impl.ThreadLocalServerTLSHandler

All Implemented Interfaces:
  `HttpClientContextHandler`

public class ThreadLocalServerTLSHandler extends Object implements HttpClientContextHandler
An implementation of `HttpClientContextHandler` which handles cleanup and transfer of data used for server TLS held by `ThreadLocalX509TrustEngineContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`ThreadLocalServerTLSHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`invokeAfter(org.apache.hc.client5.http.protocol.HttpClientContext context, org.apache.hc.core5.http.ClassicHttpRequest request)`
`void`
`invokeBefore(org.apache.hc.client5.http.protocol.HttpClientContext context, org.apache.hc.core5.http.ClassicHttpRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

## Constructor Details

### ThreadLocalServerTLSHandler

public ThreadLocalServerTLSHandler()

## Method Details

### invokeBefore

public void invokeBefore(@Nonnull org.apache.hc.client5.http.protocol.HttpClientContext context, @Nonnull org.apache.hc.core5.http.ClassicHttpRequest request) throws IOException

Specified by:
  `invokeBefore` in interface `HttpClientContextHandler`
Throws:
  `IOException`

### invokeAfter

public void invokeAfter(@Nonnull org.apache.hc.client5.http.protocol.HttpClientContext context, @Nonnull org.apache.hc.core5.http.ClassicHttpRequest request) throws IOException

Specified by:
  `invokeAfter` in interface `HttpClientContextHandler`
Throws:
  `IOException`